#include <bits/stdc++.h>
#include <cstring>
using namespace std;
int main() 
{
	ios_base::sync_with_stdio(false);
	cin.tie(0);cout.tie(0);
	string a,b;
	cin>>a>>b;
	if(b=="a")
	{
		int br=0;
		for(int i=0;i<a.length();i++)
		{
			if(a[i]=='a')
			{
				br++;
				a[i]='*';
			}
		}
		cout<<br<<"\n"<<a;
		return 0;
	}
	if(b=="ab")
	{
		int poslednje,bra=0,brb=0;
		for(int i=0;i<a.length();i++)
		{
			if(a[i]=='b')
			{
				brb++;
				poslednje=i;
			}
		}
		for(int i=0;i<poslednje;i++)
		{
			if(a[i]=='a')
			{
				bra++;
			}
		}
		if(brb<bra)
		{
			cout<<brb<<"\n";
			for(int i=0;i<a.length();i++)
			{
				if(a[i]=='b')
				a[i]='*';
			}
			cout<<a;
			return 0;
		}
		else
		{
			cout<<bra<<"\n";
			for(int i=0;i<poslednje;i++)
			{
				if(a[i]=='a')
				a[i]='*';
			}
			cout<<a;
			return 0;
		}
	}
	else
	{
		int bra=0,brb=b.length();
		for(int i=0;i<a.length();i++)
		{
			if(a[i]=='a')
			{
				bra++;
			}
		}
		if(bra>=brb)
		{
			bra-=brb-1;
			cout<<bra<<"\n";
			for(int i=0;i<a.length()&&bra>0;i++)
			{
				if(a[i]=='a')
				{
					a[i]='*';
					bra--;
				}
			}
			cout<<a;
			return 0;
		}
	}
	return 0;
}